Result

## Class Result

- java.lang.Object
- - Result

-     public class Result
      extends java.lang.Object

  Contain the result of the stamping of a job and all errors founds
  Author:
    413

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.time.LocalDateTime` | `EndJobDateTime`
    `private javax.swing.DefaultListModel<Error>` | `errors`
    `private java.lang.String` | `GeneralError`
    `private java.lang.Integer` | `PageErrorCount`
    `private java.lang.Integer` | `PageProcessCount`
    `private java.io.File` | `resultFile`
    `(package private) static ServiceResult` | `service`
    `private java.time.LocalDateTime` | `StartJobDateTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Result()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addError(java.lang.Integer errorPageNumber, java.lang.String errorDescription, java.lang.Integer level)` add an error
    `java.time.LocalDateTime` | `getEndJobDateTime()` get when the stamping stopped
    `javax.swing.DefaultListModel<Error>` | `getErrors()` get the errors list
    `java.lang.String` | `getGeneralError()` return the general error of execution ("no error" if no error has closed the stamping)
    `java.lang.Integer` | `getPageErrorCount()` return the number of errors
    `java.lang.Integer` | `getPageProcessCount()` return the number of pages processed
    `java.io.File` | `getResultFile()` get the File containing the results
    `java.time.LocalDateTime` | `getStartJobDateTime()` get when the stamping began
    `void` | `setEndJobDateTime(java.time.LocalDateTime endJobDateTime)` set when the stamping stopped
    `void` | `setGeneralError(java.lang.String generalError)` set the general error
    `void` | `setPageErrorCount(java.lang.Integer pageErrorCount)` set the number of errors
    `void` | `setPageProcessCount(java.lang.Integer pageProcessCount)` set the number of pages processed
    `void` | `setResultFile(java.io.File resultFile)` set the File containing the results
    `void` | `setStartJobDateTime(java.time.LocalDateTime startJobDateTime)` set when the stamping began

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### service

          static ServiceResult service

    - #### GeneralError

          private java.lang.String GeneralError

    - #### PageProcessCount

          private java.lang.Integer PageProcessCount

    - #### PageErrorCount

          private java.lang.Integer PageErrorCount

    - #### StartJobDateTime

          private java.time.LocalDateTime StartJobDateTime

    - #### EndJobDateTime

          private java.time.LocalDateTime EndJobDateTime

    - #### errors

          private javax.swing.DefaultListModel<Error> errors

    - #### resultFile

          private java.io.File resultFile

  - ### Constructor Detail

    - #### Result

          public Result()

  - ### Method Detail

    - #### getGeneralError

          public java.lang.String getGeneralError()

      return the general error of execution ("no error" if no error has closed the stamping)
      Returns:

    - #### setGeneralError

          public void setGeneralError(java.lang.String generalError)

      set the general error
      Parameters:
        `generalError` -

    - #### getPageProcessCount

          public java.lang.Integer getPageProcessCount()

      return the number of pages processed
      Returns:

    - #### setPageProcessCount

          public void setPageProcessCount(java.lang.Integer pageProcessCount)

      set the number of pages processed
      Parameters:
        `pageProcessCount` -

    - #### getPageErrorCount

          public java.lang.Integer getPageErrorCount()

      return the number of errors
      Returns:

    - #### setPageErrorCount

          public void setPageErrorCount(java.lang.Integer pageErrorCount)

      set the number of errors
      Parameters:
        `pageErrorCount` -

    - #### getStartJobDateTime

          public java.time.LocalDateTime getStartJobDateTime()

      get when the stamping began
      Returns:

    - #### setStartJobDateTime

          public void setStartJobDateTime(java.time.LocalDateTime startJobDateTime)

      set when the stamping began
      Parameters:
        `startJobDateTime` -

    - #### getEndJobDateTime

          public java.time.LocalDateTime getEndJobDateTime()

      get when the stamping stopped
      Returns:

    - #### setEndJobDateTime

          public void setEndJobDateTime(java.time.LocalDateTime endJobDateTime)

      set when the stamping stopped
      Parameters:
        `endJobDateTime` -

    - #### addError

          public void addError(java.lang.Integer errorPageNumber,
                               java.lang.String errorDescription,
                               java.lang.Integer level)

      add an error
      Parameters:
        `errorPageNumber` - the page of the error
        `errorDescription` - the description of the error
        `level` - the danger level of the error

    - #### getErrors

          public javax.swing.DefaultListModel<Error> getErrors()

      get the errors list
      Returns:

    - #### getResultFile

          public java.io.File getResultFile()

      get the File containing the results
      Returns:

    - #### setResultFile

          public void setResultFile(java.io.File resultFile)

      set the File containing the results
      Parameters:
        `resultFile` -